ur_rna.StructureEditor.services.drawing

## Enum SelectionRotater.RotationCenter

- java.lang.Object
- - java.lang.Enum<SelectionRotater.RotationCenter>
  - - ur_rna.StructureEditor.services.drawing.SelectionRotater.RotationCenter

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SelectionRotater.RotationCenter>
  Enclosing class:
    SelectionRotater

      public static enum SelectionRotater.RotationCenter
      extends java.lang.Enum<SelectionRotater.RotationCenter>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BaseOfHelix`
    `CenterOfHelix`
    `CenterOfMass`
    `CustomNuc`
    `CustomXY`
    `Default` Selects BaseOfHelix or CenterOfMass if there is no helix.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SelectionRotater.RotationCenter` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SelectionRotater.RotationCenter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BaseOfHelix

          public static final SelectionRotater.RotationCenter BaseOfHelix

    - #### CenterOfHelix

          public static final SelectionRotater.RotationCenter CenterOfHelix

    - #### CenterOfMass

          public static final SelectionRotater.RotationCenter CenterOfMass

    - #### CustomNuc

          public static final SelectionRotater.RotationCenter CustomNuc

    - #### CustomXY

          public static final SelectionRotater.RotationCenter CustomXY

    - #### Default

          public static final SelectionRotater.RotationCenter Default

      Selects BaseOfHelix or CenterOfMass if there is no helix.

  - ### Method Detail

    - #### valueOf

          public static SelectionRotater.RotationCenter valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static SelectionRotater.RotationCenter[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SelectionRotater.RotationCenter c : SelectionRotater.RotationCenter.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared